Accounts APIAccount holder verification

Get account holder verification details

GET
/account-holder-verifications/{id}

Authorization

BearerAuth
headerAuthorizationBearer <JWT>

Path Parameters

id*string

The unique identifier of the account holder verification.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

Verification status and name-matching results.

application/json
  1. response
id?string

Id of Account Holder Verification Process.

Formatuuid
transactionId?string

Id of Transaction.

Formatuuid
status?string

Status of Account Holder Verification Process.

Value in"COMPLETED""PROCESSING""FAILED"
accountHolderName?
result?VerificationResult

The outcome of the Account Holder Verification (AHV) process. This indicates the degree of similarity between the provided beneficiary name and the name registered at the destination bank.

Value in"MATCH""CLOSE_MATCH""NO_MATCH""ERROR"
executedAt?string

Timestamp of Account Holder Verification Execution.

Formatdate-time
decision?

Records of manual approvals or rejections.

_links?
Example Request
curl -X GET 'https://accounts.sandbox.volt.io/account-holder-verifications/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'X-Volt-Api-Version: 1'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",  "status": "COMPLETED",  "accountHolderName": {    "requested": "string",    "returned": "string"  },  "result": "MATCH",  "executedAt": "2019-08-24T14:15:22Z",  "decision": {    "performer": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "type": "USER"    },    "type": "APPROVED",    "subject": "ACCOUNT_HOLDER_VERIFICATION",    "createdAt": "2019-08-24T14:15:22Z"  },  "_links": {    "self": {      "href": "http://example.com",      "method": "GET"    },    "transaction": {      "href": "http://example.com",      "method": "GET"    }  }}